repository amule

Sezione dedicata alle problematiche sull'uso dei tool di installazione e gestione di pacchetti, in una distribuzione Debian-based.
tindal
Hero Member
Hero Member
Messaggi: 3109
Iscritto il: 17/10/2005, 15:25

Re: repository amule

Messaggio da tindal »

scusa, ma hai letto il mio post precedente?
ci sono le risposte a tutte le domande che hai fatto ;-)

per le cvs, anche se il team di sviluppo dovrebbe rilasciare a giorni la nuova versione stabile (si era parlato dello scorso weekend, ma tant'è...) ti posso dire per esperienza che sono molto meno stabili della 2.0.3. poi decidi tu.

per la libreria, c'è un bug nel deb di amule, quindi devi vedere quale versione hai di libbfd e creare un link con il nome della lib che cerca amule:

ln -s /usr/lib/libbfd- /usr/lib/libbfd-2.16.1.so

ciao
tindal
Se ci sono molti modi diversi per fare una certa cosa, ed uno di questi ha conseguenze disastrose, di sicuro qualcuno la farà in quel modo.
Avatar utente
nic
Hero Member
Hero Member
Messaggi: 539
Iscritto il: 30/07/2005, 10:15
Località: Gallo bassa ferrarese

Re: repository amule

Messaggio da nic »

Avevo risposto alla domanda di Maxer!!
-= Nic =-
Amico di Emergency_2010
Linux registered user # 380338
Linux registered machine # 283289
Msn:nicbrigante@gmail.com
Skype:nicbrigante
Avatar utente
nic
Hero Member
Hero Member
Messaggi: 539
Iscritto il: 30/07/2005, 10:15
Località: Gallo bassa ferrarese

Re: repository amule

Messaggio da nic »

Allora riprendo da qua.Ho mantenuto tutti i repository della stable.Ho cancellato quello della ubuntu per non creare casini in futuro.
delta ha scritto:
Credo sia meglio che lo commenti una volta che hai installato quello che ti serve
non se ne vede la necessità. anzi, se linuxnic vorrà mantenere aggiornato il suo amule dovrà lasciarlo decommentato.

Qui invece Tindal ho preferito tenerlo commentato perchè vorrei ancora rimanere completamente in stable per un po.Lasciandolo decommentato se faccio apt-get dist-upgrade mi installa parecchi pacchetti della testing.

in fine, gli sviluppatori di amule mettono a disposizione dei repository non ufficiali:

deb http://www.vollstreckernet.de/debian/ testing amule
deb http://www.vollstreckernet.de/debian/ testing wx
deb http://amule-debian.dyndns.org/ debian/

Ho inserito questi repository da te suggeriti(vanno inseriti cosi'pari pari?) ma non funzionano,dopo apt-get update ho il seguente messaggio:

Impossibile ottenere http://www.vollstreckernet.de/debian/di ... ackages.gz 404 Not Found
Lettura della lista dei pacchetti in corso... Fatto
W: Impossibile controllare la lista dei pacchetti sorgente http://www.vollstreckernet.de testing/wx Packages (/var/lib/apt/lists/www.vollstreckernet.de_debian_dists_testing_wx_binary-i386_Packages) - stat (2 No such file or directory)
W: È consigliabile eseguire apt-get update per correggere questi problemi
E: Impossibile scaricare alcune file di indice, essi verranno ignorati, oppure si useranno quelli precedenti.
Ciao
tindal[/quote]
-= Nic =-
Amico di Emergency_2010
Linux registered user # 380338
Linux registered machine # 283289
Msn:nicbrigante@gmail.com
Skype:nicbrigante
tindal
Hero Member
Hero Member
Messaggi: 3109
Iscritto il: 17/10/2005, 15:25

Re: repository amule

Messaggio da tindal »

linuxnic ha scritto:
Lasciandolo decommentato se faccio apt-get dist-upgrade mi installa parecchi pacchetti della testing.
hai specificato in /etc/apt/apt.conf qual'è la tua release di default?

forse la guida sul pinning che è nel wiki può esserti utile (APT, uso avanzato: mixare release diverse)
Ho inserito questi repository ma non funzionano...
non è che non funzionano: semplicemente hanno tolto la dir wx sul server www.vollstreckernet.de (lo ho verificato adesso).

avevano messo quella dir perchè i pacchetti ufficiali delle wxwidgets avevano un baco che non permetteva di compilare amule-cvs: suppongo che il baco sia stato corretto ;-)

per eliminare l'errore commenta o elimina la riga con "wx"

Ciao
tindal
Se ci sono molti modi diversi per fare una certa cosa, ed uno di questi ha conseguenze disastrose, di sicuro qualcuno la farà in quel modo.
Avatar utente
nic
Hero Member
Hero Member
Messaggi: 539
Iscritto il: 30/07/2005, 10:15
Località: Gallo bassa ferrarese

Re: repository amule

Messaggio da nic »

.[/quote]
hai specificato in /etc/apt/apt.conf qual'è la tua release di default?

Non ho apt.conf perchè non ho deciso di mixare release

per eliminare l'errore commenta o elimina la riga con "wx"

Ok fatto
grazie
Ciao
NIc
-= Nic =-
Amico di Emergency_2010
Linux registered user # 380338
Linux registered machine # 283289
Msn:nicbrigante@gmail.com
Skype:nicbrigante
Avatar utente
nic
Hero Member
Hero Member
Messaggi: 539
Iscritto il: 30/07/2005, 10:15
Località: Gallo bassa ferrarese

Re: repository amule

Messaggio da nic »

Questa notte ci ho dormito sopra e ho deciso di provare.
HO riletto per bene la guida per mixare diverse release :-D
Ho creato il file apt.conf in /etc/apt inquesto modo:

APT::Default-Release "stable";
APT::Cache-Limit 10000000;
Apt::Get::Purge;
APT::Clean-Installed;
APT::Get::Fix-Broken;
APT::Get::Fix-Missing;
APT::Get::Show-Upgraded "true";

l'ho salvato e ho inserito nel sources.list il seguente repository

deb http://ftp.it.debian.org/debian/ testing main contrib non-free

Ho dato apt-get update e non ho avuto nessun tipo di errore.
A questo punto anche quando farò apt-get dist-upgrade aggiornerò sempre rimanendo in stable ma prendendo qualche pacchetto dalla testing senza causare casini al sistema?
Grazie 1000 e portate pazienza!!
:ciauz:
-= Nic =-
Amico di Emergency_2010
Linux registered user # 380338
Linux registered machine # 283289
Msn:nicbrigante@gmail.com
Skype:nicbrigante
Rispondi